Subject: bug#21943: 25.1.50; Pcvs fails to list CVS entries

From: Glenn Morris <[email-masked]>
Date: Mon, 23 Nov 2015 14:01:17 -0500

Ivan Cibrario Bertolotti wrote:

> When trying to list CVS entries using the pcvs builtin package,
> for instance by means of the C-u <return> on any CVS directory
> in a dired buffer, the following error message comes out:
>
> cvs-fileinfo-from-entries: Invalid time zone specification: utc
>
> The issue can probably be tracked down to the use of 'utc as third
> argument of format-time-string at line 468 of pcvs-info.el.  Afaik,
> the semantics of this argument have been changed in July 2015.

Thanks for the report. The pcvs fix is obvious, but it seems to me that
this change to format-time-string should be called out in NEWS as in
incompatible one. (Obviously it would be nicer if the change were
backwards compatible.)